当前位置: 首页 > >

Jupyter Notebook 启动错误: ValueError: Please install nodejs 5+ and npm before continuing installation

发布时间:

环境


Windows 10
Anaconda3 5.1.0




错误原因解决方案



错误

从Anaconda3菜单启动Jupyter Notebook时,在server窗口出现错误


原因

错误是因为此版本Anaconda3中的jupyterlab版本0.31.4存在bug,所以只要升级jupyterlab就可以解决问题


解决方案
    从Anaconda3菜单中打开Anaconda Navigator

    查看jupyterlab 版本,并按下图选择update application (原版本应该是0.31.4, 我已经update过了)

    重新从Anaconda3菜单启动Jupyter Notebook,错误消失。



友情链接: